Integrate Watchlist-management links and page info into the new UX
Closed, ResolvedPublic

Description

At the top of the Watchlist are a set of links that let users edit their Watchlists, along with some Watchlist-related information. Unlike the links at top of RC page, these links are highly related, even vital to Watchlist. Since they offer important Watchlist functions—and since we are removing these navigation links from the Preferences page— we will incorporate these elements into the new UX. This will both provide better visibility to this important element save a line of vertical space.

Changes that need to happen

  • The Watchlist editing links will be replaced by a single button that links to the Special:EditWatchlist page.
      • The button will be labeled "Edit your list of watched pages" and includes a pencil icon.
    • A number of text elements at page top will be reworded and combined:
      • The current counter element that reads "You have x pages on your watchlist (excluding talk pages)." is reworded (see below)
      • The help links that are currently part of this statement are removed (because there is a general help link in the standard position).
      • The element that reads "Pages that have been changed since you last visited them are shown with a green marker" is reworded to reflect the new, standardized way of marking seen/unseen (T171235).
      • The element that gives the username is removed.
      • Wording of new, combined element:
        • xxx pages are on your Watchlist (plus talk pages). Changes to pages you haven't visited since the changes occurred are in bold, with solid markers.
          • If possible, we'll show an actual solid marker in or next to the text, as in the screenshot below.[TOO DIFFICULT]
Old Watchlist UX
New design
There are a very large number of changes, so older changes are hidden. Show Older Changes
jmatazzoni updated the task description. (Show Details)Jul 29 2017, 1:06 AM
jmatazzoni updated the task description. (Show Details)Jul 29 2017, 1:09 AM
jmatazzoni updated the task description. (Show Details)Jul 29 2017, 1:12 AM

I think the main issue to solve is about clarity. Currently it is not clear where to go to view and manage the pages you had added to the watchlist. I'd propose to provide one clear entry point to the main page to edit your watchlist: Special:EditWatchlist.

Some thoughts:

  • Not exposing edit the raw list and clearing the watchlist. Both options can be accessed from Special:EditWatchlist, and reaching them through "Edit the list of pages" seems a logical path. In addition, this seems consistent with the current use of these three pages
  • Removing the watchlist link in the Watchlist page makes sense, and also to adapt it to better fit other pages where it is used, but we need to know a bit more about those pages.
  • The user name. Is it even possible to view the watchlist of a different user? Which is the purpose of indicating that you are watching your own watchlist?
  • Adjustments to the language of the introduction text (which is overriden in some wikis) make sense, but we can discuss them once the general approach is more clear.

The user name. Is it even possible to view the watchlist of a different user?

It is not possible to view someone else's watchlist as a page. It is possible to access someone's watchlist, but as a feed using the token in the watchlist tab in your preferences.

Which is the purpose of indicating that you are watching your own watchlist?

I think it has been kept to remind you this watchlist is yours, personally.

This solution looks good to me! I'd like to make one small change, to the wording of the new button.

I think I understand what you're looking for with the phrase "the list of pages" here. The idea I assume is to clarify that you're editing the LIST of pages rather than the pages themselves. This is a good idea. But I think introducing an entirely new term will cause as many problems as it solves. We have to include the word "watch" in this someplace (as well as "list").

Also, responding to Benoit's comment about why the username is repeated in the old design, I think it might be nice (but not required) to use the term "your" in this one spot, to emphasize that this is a personal list. How about one of these formulations:

  • Edit your list of watched pages
  • Edit your watchlist
  • View & edit watchlist
  • View & edit your watchlist

"View & edit watchlist" (without the ampersand) is what's there now, so no one can criticize us for using that. Moreover, the "view" is actually kind of good, because it makes it clearer that you'll be looking at a page that you're not "viewing" presently (because some people might otherwise think "but I'm already on my Watchlist!"). So all in all, I think I like View & edit watchlist.

Anyway @Pginer-WMF, if you are OK with one of those, please put it in the mockup and I'll move this forward. thanks.

Did we save some vertical space here? Maybe a little?

Pginer-WMF updated the task description. (Show Details)Aug 1 2017, 7:49 AM

This solution looks good to me! I'd like to make one small change, to the wording of the new button.

The suggestions make sense. I was concerned that what is presented as "watchlist" is actually "the list of changes on the pages of your watchlist" so references to "watchlist" from the Watchlist page become easily ambiguous. In this case I'd try to be explicit about the content we refer to, and I went with "Edit your list of watched pages". I expect that someone interested in just viewing that list will find the way, but clarifying the difference between those list was the top priority for me.

Did we save some vertical space here? Maybe a little?

It will depend on the window size, but I expect to save some vertical space in most cases.

jmatazzoni renamed this task from Integrate standard Watchlist management links into new UX to Integrate standard Watchlist management links and info into the new UX.Aug 1 2017, 11:46 PM
jmatazzoni removed Pginer-WMF as the assignee of this task.
jmatazzoni updated the task description. (Show Details)
jmatazzoni added subscribers: Etonkovidova, Mooeypoo.
jmatazzoni updated the task description. (Show Details)Fri, Aug 25, 10:19 PM
jmatazzoni renamed this task from Integrate standard Watchlist management links and info into the new UX to Integrate Watchlist-management links and page info into the new UX.Fri, Aug 25, 10:40 PM
jmatazzoni updated the task description. (Show Details)
jmatazzoni updated the task description. (Show Details)Fri, Aug 25, 11:49 PM

Change 374415 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/core@master] [WIP] WLFilters: convert 'edit watchlist' button to new UX

https://gerrit.wikimedia.org/r/374415

I've mentioned it when we have started to work on watchlists and because I'm not seeing taken into @Pginer-WMF's designs: some wikis use watchlists header to display messages (this is a different than RecentChangesText).

Watchlists notices are used on Commons, where they use MediaWiki:Watchlist-summary and an interesting gadget that will only display the watchlist message to users in a certain geographic area. This system is still in use (5 messages since January). The message is then the first block you will have in mw-content-text.

Watchlists notices are also used on English Wikipedia, as it can be seen on this screenshot made by @jmatazzoni :

I've mentioned it when we have started to work on watchlists and because I'm not seeing taken into @Pginer-WMF's designs: some wikis use watchlists header to display messages (this is a different than RecentChangesText).

Watchlists notices are used on Commons, where they use MediaWiki:Watchlist-summary and an interesting gadget that will only display the watchlist message to users in a certain geographic area. This system is still in use (5 messages since January). The message is then the first block you will have in mw-content-text.

Watchlists notices are also used on English Wikipedia, as it can be seen on this screenshot made by @jmatazzoni :

Although we are replacing some pieces and moving other pieces around, extension points should remain available (the fact that it was not represented in the mockup does not mean we should eliminate those). If the page is extended by adding some message on to, it should still be the case with the updated system. We can later consider if there are some commonly used extensions that is worth redesign in a different way.

In this case I think it is ok for the message to appear on top and push the rest of the content down.

MediaWiki:Watchlist-summary is still being displayed just below the main heading.

Mooeypoo added a comment.EditedTue, Aug 29, 6:05 PM

Looking at the text here:

Just pointing out that we can't (and shouldn't, in general) have an icon inside the message text. This causes huge issues for translation and while we might be able to cheat the system to comply, it's going to affect a lot more than just this specific page; translators are going to have a big problem with the bit of text and handling it.

There are multiple ways we can rewrite the top message to not require an image of a bullet, especially since people generally know what a bullet-list looks like. If you think it's confusing, we can add the images of the bullet in all its iterations (blue, grey, hollow, filled, etc) in the Help page, which is designed to have screenshots for these things. Then you can add a link for "read more" or "explain this" or whatever it is to the specific section int he "Help" page.

The message with the bullet-image should change, though.

@jmatazzoni can we find another way to write the top line explanation without the icon at the end?

@jmatazzoni Took a look and said there's no problem with removing the icon if it's a hassle technically.

We discussed adding the icons (fill and unfilled) to the legend, instead -- but that can be a separate task that's prioritized for later.

As was pointed out in T171030#3566050, MediaWiki:Watchlist-details, which contains "X pages on your watchlist etc", is also used to display community notices. One can be seen on en.wiki right now.

I propose to leave this message untouched for now so we can move forward with this ticket, which still adds value when the message is sub optimal. We can reflect later about how to untangle this message that is used for 2 independent things.

! In T172030#3566228, @SBisson wrote:

I propose to leave this message untouched for now so we can move forward with this ticket, which still adds value when the message is sub optimal. We can reflect later about how to untangle this message that is used for 2 independent things.

I am not understanding. We discussed a play to fix the message as described, but leave an area for the community messages, etc. above. Is there a problem with doing it that way? (We need, at a minimum, to adjust the message wording because of the changes to seen/unseen indicators. But I'd prefer to straighten out as in the description.)

! In T172030#3566228, @SBisson wrote:

I propose to leave this message untouched for now so we can move forward with this ticket, which still adds value when the message is sub optimal. We can reflect later about how to untangle this message that is used for 2 independent things.

I am not understanding. We discussed a play to fix the message as described, but leave an area for the community messages, etc. above. Is there a problem with doing it that way? (We need, at a minimum, to adjust the message wording because of the changes to seen/unseen indicators. But I'd prefer to straighten out as in the description.)

There are 2 places for commmunity-defined messages:

The first one, Mediawiki:Watchlist-summary, was brought up earlier this week and we tested and confirmed that it's still there and working with the new UI. This is not what I'm talking about above. Looking on this en.wiki page how they repeat the original message after the announcement should help understand how this work.

The second one, Mediawiki:Watchlist-details, is the message that displays "X pages on your watchlist etc" that we propose to change in this ticket. The idea was to create a new message for this and not change the wording of the existing one. This allows users without the beta feature to see the original and users with the beta feature to see the new one.

Now the problem is this message is also used for community messages when it is redefined in the Mediawiki namespace, like en.wiki is currently doing.

So if we create the message as a new message, as planned, it will wipe out the community notices. Right?

Given that there is a separate facility for posting community notices, would wiping the slate clean, as it were, be so bad? We could just let everyone know to start using Mediawiki:Watchlist-summary instead of Mediawiki:Watchlist-details. @Trizek-WMF, is that a viable plan?

Change 374415 merged by jenkins-bot:
[mediawiki/core@master] WLFilters: convert 'edit watchlist' button to new UX

https://gerrit.wikimedia.org/r/374415

SBisson added a comment.EditedWed, Aug 30, 7:37 PM

Just adding some notes here about the message situation.

A: The text is mostly right. We would prefer to rephrase it but what it there is not wrong. Used in some wikis to add community notices.

B: Shows up when email notification for pages on watchlist is ON in preferences (at the bottom of the first tab). This ticket doesn't mention what to do with it.

C: Describes how changes to unseen pages should look. The default text says that unseen changes are bold but en.wiki has redefined it to mention a green marker. So this is technically wrong when the beta feature is ON.

Change 374880 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/core@master] WLFilters: describe how unseen changes should look

https://gerrit.wikimedia.org/r/374880

I think the patch above gets us pretty close to the initial goal. It customizes the last sentence describing what unseen changes look like for users enabling the beta feature.

It doesn't touch the first part (about how talk pages are not counted). This is a general wording improvement that can be done directly to the message regardless of beta feature status and that needs to be socialized to wikis that have customized this message. If it's important but not a blocker for watchlist in beta I would suggest a new ticket.

Change 374880 merged by jenkins-bot:
[mediawiki/core@master] WLFilters: describe how unseen changes should look

https://gerrit.wikimedia.org/r/374880

@SBisson, one of our goals in combining these statements was to save vertical space, an issue to which users are very sensitive (except when they want to put a bunch of links at the top of the page). Anyway, can the statements you mention be combined so that each is not on its own line, with lots of white space between, as they are now? Can you show what this will all look like together?

@SBisson, one of our goals in combining these statements was to save vertical space, an issue to which users are very sensitive (except when they want to put a bunch of links at the top of the page). Anyway, can the statements you mention be combined so that each is not on its own line, with lots of white space between, as they are now? Can you show what this will all look like together?

The extra white space and line break are coming from the customization done on en.wiki.

This is what is looks like by default

Change 374984 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/core@master] WLFilters: adapt to customized watchlist-details

https://gerrit.wikimedia.org/r/374984

In T172030#3569544, @SBisson wrote:

The extra white space and line break are coming from the customization done on en.wiki.

This is what is looks like by default

OK, but this is what it looks like on en.wiki (below). It's not really acceptable as a "cleanup" project. I think, in fact, it's more space than when we started. Do we have any other ideas for getting this all on the same line?

Let everyone know to start using Mediawiki:Watchlist-summary instead of Mediawiki:Watchlist-details is a plan. Do we have a list of wikis that use any of those pessages? That would help to know which wikis to focus on (and would have spare us manual checking - I was sure en.wp was using Mediawiki:Watchlist-summary.

OK, but this is what it looks like on en.wiki (below). It's not really acceptable as a "cleanup" project. I think, in fact, it's more space than when we started. Do we have any other ideas for getting this all on the same line?

In this case, Watchlist-details was customized in a way that makes it break out of the space we make for it. I have a fix for that.

Change 375024 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/core@master] WLFilters: wrap Watchlist-details in a div instead of a p

https://gerrit.wikimedia.org/r/375024

Change 374984 merged by jenkins-bot:
[mediawiki/core@master] WLFilters: adapt to customized watchlist-details

https://gerrit.wikimedia.org/r/374984

Change 375024 merged by jenkins-bot:
[mediawiki/core@master] WLFilters: wrap Watchlist-details in a div instead of a p

https://gerrit.wikimedia.org/r/375024

Change 375038 had a related patch set uploaded (by Mattflaschen; owner: Sbisson):
[mediawiki/core@wmf/1.30.0-wmf.15] WLFilters: convert 'edit watchlist' button to new UX

https://gerrit.wikimedia.org/r/375038

Change 375039 had a related patch set uploaded (by Mattflaschen; owner: Sbisson):
[mediawiki/core@wmf/1.30.0-wmf.16] WLFilters: convert 'edit watchlist' button to new UX

https://gerrit.wikimedia.org/r/375039

Change 375038 abandoned by Mattflaschen:
WLFilters: convert 'edit watchlist' button to new UX

https://gerrit.wikimedia.org/r/375038

Change 375039 merged by jenkins-bot:
[mediawiki/core@wmf/1.30.0-wmf.16] WLFilters: convert 'edit watchlist' button to new UX

https://gerrit.wikimedia.org/r/375039

Mentioned in SAL (#wikimedia-operations) [2017-08-31T19:05:50Z] <mattflaschen@tin> Started scap: Watchlist filters: Convert edit watchlist button to new UX and fix server-side tag filtering. T172030

Mentioned in SAL (#wikimedia-operations) [2017-08-31T19:27:13Z] <mattflaschen@tin> Finished scap: Watchlist filters: Convert edit watchlist button to new UX and fix server-side tag filtering. T172030 (duration: 21m 23s)

The Watchlist in betalabs even accommodates Pending changes banner - look at the screenshot below:

@jmatazzoni Only the wording for the number of pages displayed is not done:

The current counter element that reads "You have x pages on your watchlist (excluding talk pages)." is reworded to say > simply "You have x pages on your watchlist."

In T172030#3572034, @Etonkovidova wrote:

The Watchlist in betalabs even accommodates Pending changes banner - look at the screenshot below:

@jmatazzoni Only the wording for the number of pages displayed is not done:

The current counter element that reads "You have x pages on your watchlist (excluding talk pages)." is reworded to say > simply "You have x pages on your watchlist."

@SBisson, good job getting the text to align with the button! A couple of questions:

  • Is there a reason why the wording can't be updated to what's in the descriptiion? (The bit about "excluding talk pages" is particularly confusing and should be changed.)
    • If you can install the new language, please do not boldface the word "bold," as was previously indicated. Per T171235, that may become optional.
  • Is it possible to concatenate these statements so that they are run in instead of each on their own line? In smaller screens it might make a difference.
jmatazzoni updated the task description. (Show Details)Fri, Sep 1, 12:58 AM
  • Is there a reason why the wording can't be updated to what's in the descriptiion? (The bit about "excluding talk pages" is particularly confusing and should be changed.)

I can change it in the code so it shows up by default for some wiki but it won't work on en.wp. Their message is customized at https://en.wikipedia.org/wiki/MediaWiki:Watchlist-details and updating it there is outside of my power.

  • If you can install the new language, please do not boldface the word "bold," as was previously indicated. Per T171235, that may become optional.

The other message, that explains how unseen changes should look, is already very close to what you want. What you see on en.wp is their customization: https://en.wikipedia.org/wiki/MediaWiki:Wlheader-showupdated

  • Is it possible to concatenate these statements so that they are run in instead of each on their own line? In smaller screens it might make a difference.

They are concatenated into one line by default like I showed in a previous screenshot. The line breaks are added in the en.wp customization.

All major requirements have been checked. Moving the ticket to Product Review.

QA Recommendation: Product should weigh in

Change 375429 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/core@master] WLFilters: reword watchlist-details slightly

https://gerrit.wikimedia.org/r/375429

Change 375431 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/core@master] WLFilters: hide watchlist-details during loading of the app

https://gerrit.wikimedia.org/r/375431

jmatazzoni updated the task description. (Show Details)Fri, Sep 1, 10:06 PM

Change 375429 merged by jenkins-bot:
[mediawiki/core@master] WLFilters: reword watchlist-details slightly

https://gerrit.wikimedia.org/r/375429

Change 375451 had a related patch set uploaded (by Jforrester; owner: Sbisson):
[mediawiki/core@wmf/1.30.0-wmf.16] WLFilters: reword watchlist-details slightly

https://gerrit.wikimedia.org/r/375451

Change 376030 had a related patch set uploaded (by Mattflaschen; owner: Sbisson):
[mediawiki/core@wmf/1.30.0-wmf.16] WLFilters: adapt to customized watchlist-details

https://gerrit.wikimedia.org/r/376030

Change 376031 had a related patch set uploaded (by Mattflaschen; owner: Sbisson):
[mediawiki/core@wmf/1.30.0-wmf.16] WLFilters: wrap Watchlist-details in a div instead of a p

https://gerrit.wikimedia.org/r/376031

Change 376030 merged by jenkins-bot:
[mediawiki/core@wmf/1.30.0-wmf.16] WLFilters: adapt to customized watchlist-details

https://gerrit.wikimedia.org/r/376030

Change 376031 merged by jenkins-bot:
[mediawiki/core@wmf/1.30.0-wmf.16] WLFilters: wrap Watchlist-details in a div instead of a p

https://gerrit.wikimedia.org/r/376031

Change 375451 merged by jenkins-bot:
[mediawiki/core@wmf/1.30.0-wmf.16] WLFilters: reword watchlist-details slightly

https://gerrit.wikimedia.org/r/375451

Change 375431 merged by jenkins-bot:
[mediawiki/core@master] WLFilters: hide watchlist-details during loading of the app

https://gerrit.wikimedia.org/r/375431

Trizek-WMF added a comment.EditedTue, Sep 12, 12:24 PM

The goal is to have a clearer message. I'm using a translation engine, so I'm not sure to understand the whole conversation, but I think it is related to the translation on TranslateWiki. I don't know if it has been done correctly.
I've left a message on the wiki.

The goal is to have a clearer message. I'm using a translation engine, so I'm not sure to understand the whole conversation, but I think it is related to the translation on TranslateWiki. I don't know if it has been done correctly.
I've left a message on the wiki.

@Trizek-WMF, I will chime in here. What the translator needs to understand to write this properly is the following:

  • When you watch a page, you also watch the talk page.
  • However, talk pages are not reflected in the count. They are included, but not counted.

This is why the previous language, "you have X pages on your Watchlist (excluding talk pages)," was confusing. Saying talk pages are "excluded" raises a doubt as to whether you'll see changes to them on your Watchlist.

What I like about the formulation we came up with is that it presents talk pages not as things that are somehow deficient or not getting full measure—not counted, not included—but as something you get for free, a bonus, "plus talk pages." But of course, that solution might work for English and not Chinese. I hope that helps.

Closing this but adding T175807 to the blocker list for Watchlist.

jmatazzoni closed this task as Resolved.Thu, Sep 14, 3:54 PM